Unusual Whales UnusualWhales API

Holdings

GET https://api.unusualwhales.com/api/etfs/{ticker}/holdings

Request

Security: Bearer Auth Authorization: Bearer <token>

Path Parameters

ticker SingleTicker required

A single ticker

Example: AAPL

Responses

200

Response Body 200 OK

avg30_volume Stock Average 30 Day Volume

The avg stock volume for the stock last 30 days.

Example: 55973002
bearish_premium Market General Bearish Premium

The bearish premium is defined as (call premium bid side) + (put premium ask side).

Example: 143198625
bullish_premium Market General Bullish Premium

The bullish premium is defined as (call premium ask side) + (put premium bid side).

Example: 196261414
call_premium Market General Call Premium

The sum of the premium of all the call transactions that executed.

Example: 9908777.0
call_volume Market General Call Volume

The sum of the size of all the call transactions that executed.

Example: 990943
close Candle Close

The closing price of the candle.

Example: 56.79
has_options Stock Has Options

Boolean flag whether the company has options.

Example: true
high Candle High

The highest price of the candle.

Example: 58.12
low Candle Low

The lowest price of the candle.

Example: 51.90
name Stock Company Name

The name of the company.

Example: APPLE INC
open Candle Open

The opening price of the candle.

Example: 54.29
prev_price Stock Prev Close Price

The previous trading day's stock price of the ticker.

Example: 189.70
put_premium Market General Put Premium

The sum of the premium of all the put transactions that executed.

Example: 163537151
put_volume Market General Put Volume

The sum of the size of all the put transactions that executed.

Example: 808326
sector Market General Sector

The financial sector of the ticker. Empty if unknown or not applicable such as ETF/Index.

Example: Technology
ticker Stock Ticker

The stock ticker.

Example: AAPL
volume Stock Day Stock Volume

The volume of the ticker for the trading day.

Example: 23132119
week_52_high Stock Week 52 High

The 52 week high stock price of the ticker.

Example: 198.23
week_52_low Stock Week 52 low

The 52 week low stock price of the ticker.

Example: 124.17
Try It GET
Path Parameters

Request Sample
curl -X GET "https://api.unusualwhales.com/api/etfs/{ticker}/holdings" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "data": [
    {
      "avg30_volume": "52433648",
      "bearish_premium": "32565174",
      "bullish_premium": "22987045",
      "call_premium": "45254976",
      "call_volume": 197685,
      "close": "194.84",
      "has_options": true,
      "high": "196.579",
      "low": "194.41",
      "name": "APPLE INC",
      "prev_price": "197.14",
      "put_premium": "16338631",
      "put_volume": 106773,
      "sector": "Technology",
      "shares": 169938760,
      "short_name": "APPLE",
      "ticker": "AAPL",
      "type": "stock",
      "volume": 12314310,
      "week52_high": "199.62",
      "week52_low": "123.15",
      "weight": "7.335"
    },
    {
      "avg30_volume": "30239291",
      "bearish_premium": "14318236",
      "bullish_premium": "14142305",
      "call_premium": "22499010",
      "call_volume": 48302,
      "close": "371.0",
      "has_options": true,
      "high": "371.0",
      "low": "368.73",
      "name": "MICROSOFT CORP",
      "prev_price": "369.36",
      "put_premium": "8688334",
      "put_volume": 35055,
      "sector": "Technology",
      "shares": 85913823,
      "short_name": "MICROSOFT",
      "ticker": "MSFT",
      "type": "stock",
      "volume": 3760724,
      "week52_high": "384.3",
      "week52_low": "216.98",
      "weight": "6.959"
    },
    {
      "avg30_volume": "51068229",
      "bearish_premium": "27305757",
      "bullish_premium": "37477652",
      "call_premium": "68914858",
      "call_volume": 243442,
      "close": "152.82",
      "has_options": true,
      "high": "152.9",
      "low": "150.09",
      "name": "AMAZON.COM INC",
      "prev_price": "149.6",
      "put_premium": "15242490",
      "put_volume": 86301,
      "sector": "Consumer Cyclical",
      "shares": 104991822,
      "short_name": "AMAZON ",
      "ticker": "AMZN",
      "type": "stock",
      "volume": 11285233,
      "week52_high": "150.57",
      "week52_low": "81.43",
      "weight": "3.44"
    }
  ]
}